Download it now!
Bug 77129 - FILEOPEN : DOCX : File not opening with all pages
Summary: FILEOPEN : DOCX : File not opening with all pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-07 10:09 UTC by pallavi.jadhav
Modified: 2019-12-14 09:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Contains Scetion Break after TOC (2.52 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-07 10:15 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-04-07 10:09:23 UTC

    
Comment 1 pallavi.jadhav 2014-04-07 10:14:02 UTC
Steps to reproduce :
1] Open attached document in LO
2] File should contain 60 pages

Current behavior :
File is opening with only 6 Pages.

Expected behavior :
File should get opened with all 60 Pages

Problem area :
If removed Section Break after Table of Contents then file Imports and Exports with all Pages.
Comment 2 pallavi.jadhav 2014-04-07 10:15:20 UTC
Created attachment 97029 [details]
Contains Scetion Break after TOC
Comment 3 Jorendc 2014-04-07 13:29:39 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 8659d189ec04aca78c8ffff97fcca507ca0a9ec3
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-04-07_03:09:54
Comment 4 Commit Notification 2014-07-03 13:00:04 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9948d9566e86b190e74a62e63f273f5fa0eb8929

fdo#77129 DOCX:Only Six pages were loaded out of 60 pages.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Stephan van den Akker 2014-07-03 13:57:13 UTC
58 pages now, last page ending with:
"write custom crawlers that provide custom ACL information to the index."

Tested on openSuSE 13.1 (64-bit)
Version: 4.4.0.0.alpha0+
Build ID: 5ccb510ef7dd6688b86038b37563583f64107936
Comment 6 Jorendc 2014-07-03 14:11:42 UTC
(In reply to comment #5)
> 58 pages now, last page ending with:
> "write custom crawlers that provide custom ACL information to the index."
> 
> Tested on openSuSE 13.1 (64-bit)
> Version: 4.4.0.0.alpha0+
> Build ID: 5ccb510ef7dd6688b86038b37563583f64107936

Tested using Word for Mac 2011 this document does end with that sentence on a page with number 59 in the left bottom corner. The total document has 65 pages (page 65 = page with page number 59)

Kind regards,
Joren
Comment 7 Jorendc 2015-05-16 23:01:08 UTC
Initial behavior and bug report is fixed, so lets mark it as such.